Bug 728854 - Save notification closes the editor unnecessarily
Save notification closes the editor unnecessarily
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-UI (Show other bugs)
1.3
Unspecified Linux
high Severity high
: ---
: 1.4.2
Assigned To: Alex Eng
Ding-Yi Chen
:
Depends On:
Blocks: 746870
  Show dependency treegraph
 
Reported: 2011-08-08 03:08 EDT by Sean Flanigan
Modified: 2011-10-28 03:02 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-10-28 03:02:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sean Flanigan 2011-08-08 03:08:40 EDT
User-Agent:       Mozilla/5.0 (X11; Linux i686 (x86_64)) AppleWebKit/534.30 (KHTML, like Gecko) Chrome/12.0.742.100 Safari/534.30

The user's own save notifications can cause the editor to close (cancel edit).  

This problem can happen when clicking up and down in the table, depending on processing speed, but the most consistent trigger is based on key shortcuts.

Reproducible: Always

Steps to Reproduce:
1. Enter some text in a target cell (ie change the content) to force a Save upon exit.
2. Press Alt+J+K (ie Alt+J and Alt+K virtually simultaneusly).
Actual Results:  
Cell content saved, but the save notification for that cell causes the editor to close.  If the notification is for the text content as is currently in the editor, there is no need to cancel editing.

Expected Results:  
Cell content saved; editor is open on the original target cell.
Comment 1 Sean Flanigan 2011-08-08 03:17:12 EDT
Note that this problem is currently exacerbated by bug 728858's extra save notifications.
Comment 2 David Mason 2011-08-08 03:19:49 EDT
This bug is probably related to bug 728851
Comment 3 Sean Flanigan 2011-08-10 01:37:13 EDT
If we fix bug 728858, I suppose this one won't need a high priority.
Comment 4 Sean Flanigan 2011-09-07 00:33:20 EDT
Assigning to Scrum product owner for prioritisation.
Comment 5 Runa Bhattacharjee 2011-09-08 09:15:09 EDT
This is a serious loss of functionality of the editor. Moving this back to high.
Comment 7 Ding-Yi Chen 2011-10-20 00:25:03 EDT
VERIFIED with Zanata version 1.4.2-SNAPSHOT (20111020-1402)

Note You need to log in before you can comment on or make changes to this bug.